İçeriğe geç

Recraft V4 Pro

Entegre et

Model kimliği recraft/v4/pro/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4/pro/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,25 250 API kredisi · ≈ ₽26,89 Bu sayfada çalıştır

API anahtarı al
Recraft Metinden Görsele #text-to-image

Tasarım odaklı görünüm ve palet kontrollerine sahip Pro düzeyi Recraft V4 raster metinden görsele modeli

Recraft · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 10000
image_size varsayılan square_hd
Gelişmiş enable_safety_checker · colors · background_color
varsayılan []

Tercih edilen renkleri içeren dizi.

Oluşturulan görsellerin arka planı için tercih edilen renk.

POST /run/recraft/v4/pro/text-to-image?wait=20 fiyat → $0,25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4/pro/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Recraft V4 Pro hakkında

Marka sistemleri ve üretim iş akışlarına yönelik, kompozisyon, ışık ve malzemelere dikkat ederek 10000 karaktere kadar bir `prompt`tan raster görseller oluşturur. Bir `image_size` hazır seçeneği belirleyin ve isteğe bağlı olarak `colors` ile `background_color` ayarlayın. V4'ün Pro sürümüdür. Bir görsel listesi döndürür.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 10.000 karakter
image_sizeisteğe bağlı
Türobject
Varsayılansquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colorsisteğe bağlı
Türobject[]
Varsayılan[]
Tercih edilen renkleri içeren dizi.
colors[].risteğe bağlı
Türinteger
Varsayılan0
0 – 255
Kırmızı bileşeninin değeri.
colors[].gisteğe bağlı
Türinteger
Varsayılan0
0 – 255
Yeşil bileşeninin değeri.
colors[].bisteğe bağlı
Türinteger
Varsayılan0
0 – 255
Mavi bileşeninin değeri.
background_coloristeğe bağlı
Türobject
Oluşturulan görsellerin arka planı için tercih edilen renk.
background_color.risteğe bağlı
Türinteger
Varsayılan0
0 – 255
Kırmızı bileşeninin değeri.
background_color.gisteğe bağlı
Türinteger
Varsayılan0
0 – 255
Yeşil bileşeninin değeri.
background_color.bisteğe bağlı
Türinteger
Varsayılan0
0 – 255
Mavi bileşeninin değeri.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Kapalı ayarı hesap yetkilendirmesi gerektiren güvenlik denetimi anahtarı. Bu yetkilendirme olmadan ayardan bağımsız olarak her istek denetlenir; true denetleyiciyi etkinleştirir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4/pro/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 250,
    "usd": "0.25",
    "charged": 250,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size}

Daha fazla model: Metinden Görsele

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/recraft/v4/pro/text-to-image.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt